Subject: Re: Re: MPLS PWs over IP: Text for draft-ietf-pwe3-control-protocol-04.txt

From: Stewart Bryant <[email-masked]>
Date: Wed, 03 Dec 2003 13:10:04 +0000

Yakov Rekhter wrote:

> Stewart,
> 
> 
>>Rahul Aggarwal wrote:
>>
>>
>>>Hi Luca,
>>>
>>>How about:
>>>
>>>1. >From the current draft-ietf-pwe3-control-protocol-:
>>>
>>>   In the protocol specified herein, the pseudowire demultiplexor field
>>>   is an MPLS label.  Thus the packets which are transmitted from one
>>>   end of the pseudowire to the other are MPLS packets.  Unless the
>>>   pseudowire endpoints are immediately adjacent, these MPLS packets
>>>   must be transmitted through a PSN tunnel.  Any sort of PSN tunnel can
>>>   be used, as long as it is possible to transmit MPLS packets through
>>>   it.  The PSN tunnel can itself be an LSP, but it could equally well
>>>   be an IP tunnel, a GRE tunnel, an IPsec tunnel, or any other sort of
>>>   tunnel which can carry MPLS packets. Procedures for setting up and
>>>   maintaining the PSN tunnels are outside the scope of this document.
>>>
>>>Can we replace the last sentence in the above with the following:
>>>
>>>   Procedures for setting up and maintaining the PSN tunnels with GRE
>>>   or IP are specified in [MPLS-OVER-IP-GRE].
>>
>>The new text is prescriptive about MPLS-OVER-IP-GRE being THE method.
> 
> 
> Let's look at the proposed text again:
> 
>      Procedures for setting up and maintaining the PSN tunnels with GRE
>      or IP are specified in [MPLS-OVER-IP-GRE].
> 
> The new text is prescriptive about MPLS-OVER-IP-GRE being THE method,
> *but only* when the tunnel is GRE or IP.
> 
> On the other hand, the new text is *not* prescriptive about MPLS-OVER-IP-GRE
> being the only way to carry MPLS packets through non-MPLS IP networks.
> 
> 
>>Do we have WG concensus for that?
> 
> 
> In view of the above could you please be more specific about what
> do you mean by "that".
> 

Yakov

What I said last time was :

"The new text is prescriptive about MPLS-OVER-IP-GRE being THE method.
Do we have WG consensus for that?"

Which I took to mean:

"Do we have WG consensus to make MPLS-OVER-IP-GRE the method
for carrying PW over ((IP) or (GRE over IP))"

The use of the term IP in this context is a little confusing
because we mean "IP without transport or other adaptation layer"
(IPsec and L2TP both run over IP).

Looking at the responses to the thread, I detect that there
is consensus for leaving the text as it is, but note
that we need to give others time to respond.

Stewart

---

From: Luca Martini <[email-masked]>
Date: Wed, 03 Dec 2003 07:51:26 -0700

Yakov,

I see here two problems. the first is that we need to transport MPLS 
over IP/GRE/IPSEC/L2TPV3, and this is is a useful problem to work on.
The second is this particular section of text in the control draft. The 
proposed text is not enought to solve the first problem , and solving 
the MPLS over IP problem is not what this draft is about.
The draft already suggests that PW can be used over MPLS over IP or 
something else , and it's enought.
So I would like to leave this text as is, and solve the MPLS over 
"IPsomething" problem in a separate document. We can probably get all 
this done by the next IETF meeting. ;-)

Luca